/************************************************************************
 *                                                                      *
 *                       ()p 뫥, 1993                       *
 *                                                                      *
 ************************************************************************/

#include "Common.ch"
#include "frdbrtn.ch"

#define CRLF chr(13)+chr(10)

FUNCTION GetFromFile( cFileName )
  LOCAL cData := "", aResult := {}, i

  IF ( cData := MemoRead( cFileName ) ) == ""
    RETURN NIL
  ENDIF

  DO WHILE ( i := At( CRLF, cData ) ) != 0
    AAdd(aResult, Left( cData, i - 1 ) )
    cData := SubStr( cData, i + 2 )
  ENDDO

RETURN aResult

FUNCTION PutToFile( aArray, cFileName )
  LOCAL cData := ""

  AEval( aArray, { |a| cData += a + CRLF } )
RETURN MemoWrit( cFileName, cData )

FUNCTION GetConfig( cFileName, lConvToOem )
  LOCAL aArray, i, block, cSectionName := "", cLongString := "", s, n

  IF ( aArray := GetFromFile( cFileName ) ) == NIL
    RETURN .F.
  ENDIF

  FOR i := 1 TO Len( aArray )
    s := aArray[i]
    IF SubStr( s, Len(s), 1) == "\"
      cLongString += SubStr( s, 1, Len(s) - 1 )
      LOOP
    ELSEIF Len( cLongString ) != 0
      s := cLongString + s
      cLongString := ""
    ENDIF

    s := LTrim(s)
    IF ( n := At( ";", s ) ) != 0
      s := Left( s, n - 1 )
    ENDIF
    IF empty( s )
      LOOP
    ENDIF

    IF Left( s, 1 ) == "[" .AND. Right( RTrim( aArray[i] ), 1 ) == "]"
      cSectionName := Upper( LTrim( SubStr( s, At( "[", s ) + 1 ) ) )
      IF ( n := At( "SECTION", cSectionName ) ) != 0
        cSectionName := RTrim( Left( cSectionName, n - 1 ) )
      ELSE
        cSectionName := RTrim( Left( cSectionName, At( "]", cSectionName ) - 1 ) )
      ENDIF
      IF Upper( cSectionName ) == "END"
        cSectionName := ""
        LOOP
      ENDIF

      cSectionName += "_"
      LOOP
    ENDIF
    aArray[i] := cSectionName + IIf(Empty(lConvToOem), s, ConvToOemCP(s))
    Eval(&("{||" + aArray[i] + "}") )
  NEXT

RETURN .T.