///////////////////////////////////////////////////////////////////////////////
//
//  Class code created by the Xbase++ FormDesigner
//    Creation date: 11.02.2008 Creation time: 16:02:25
//
//  Contents  :
//    This file contains the implementation level of a form and is
//    overwritten automatically by the Xbase++ Form Designer.
//    Be careful when modifying this file since changes may get lost.
//
///////////////////////////////////////////////////////////////////////////////

#ifndef _ACCOUNTFORM_
#define _ACCOUNTFORM_

#include "Gra.ch"
#include "Xbp.ch"
#include "Common.ch"
#include "Appevent.ch"
#include "Font.ch"

#PRAGMA LIBRARY( "ASCOM10.LIB" )

CLASS _BankAndAccount FROM XbpDialog
   EXPORTED:
      VAR editControls

      * Contained control elements
      VAR Static01
      VAR index
      VAR Static02
      VAR street
      VAR Static03
      VAR house
      VAR Static04
      VAR building
      VAR Static05
      VAR flat

      VAR Static1
      VAR bank
      VAR Static2
      VAR desk
      VAR Static3
      VAR account
      VAR btnDone
      VAR btnExit

      METHOD init
      METHOD create
ENDCLASS

******************************************************************************
* Initialize form
******************************************************************************
METHOD _BankAndAccount:init( oParent, oOwner, aPos, aSize, aPP, lVisible )

   DEFAULT oParent  TO AppDesktop(), ;
           aPos     TO {444,535}, ;
           aSize    TO {368, IIf(INTERFACE_ALLOWNOTIFICATIONS, 232, 136)}, ;
           lVisible TO .F.

   DEFAULT aPP TO {}
   AAdd ( aPP, { XBP_PP_COMPOUNDNAME, "10.MS Sans Serif" } )
   ::XbpDialog:init( oParent, oOwner, aPos, aSize, aPP, lVisible )
   ::XbpDialog:taskList := .T.
   ::XbpDialog:title := " " + IIf(INTERFACE_ALLOWNOTIFICATIONS, ", ", "") + "     "
   ::XbpDialog:maxButton := .F.
   ::XbpDialog:minButton := .F.
   ::XbpDialog:hideButton := .F.
   ::XbpDialog:sysMenu := .F.

   ::Static01          := XbpStatic():new( ::drawingArea, , {8,168}, {128,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static01:caption := " "
   ::Static01:clipSiblings := .T.
   ::Static01:options := XBPSTATIC_TEXT_VCENTER

   ::index              := XbpSLE():new( ::drawingArea, , {136,168}, {64,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::index:bufferLength := 6
   ::index:align := XBPSLE_RIGHT
   ::index:autoTab := .T.
   ::index:tabstop := .T.

   ::Static02         := XbpStatic():new( ::drawingArea, , {8,136}, {128,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static02:caption := ".,"
   ::Static02:clipSiblings := .T.
   ::Static02:options := XBPSTATIC_TEXT_VCENTER

   ::street        := XbpSLE():new( ::drawingArea, , {136,136}, {216,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::street:bufferLength := 40
   ::street:tabstop := .T.

   ::Static03          := XbpStatic():new( ::drawingArea, , {8,104}, {32,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static03:caption := ""
   ::Static03:clipSiblings := .T.
   ::Static03:options := XBPSTATIC_TEXT_VCENTER

   ::house              := XbpSLE():new( ::drawingArea, , {40,104}, {72,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::house:bufferLength := 7
   ::house:align := XBPSLE_CENTER
   ::house:autoTab := .T.
   ::house:tabstop := .T.

   ::Static04          := XbpStatic():new( ::drawingArea, , {120,104}, {48,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static04:caption := ""
   ::Static04:clipSiblings := .T.
   ::Static04:options := XBPSTATIC_TEXT_VCENTER

   ::building              := XbpSLE():new( ::drawingArea, , {176,104}, {48,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::building:bufferLength := 4
   ::building:align := XBPSLE_CENTER
   ::building:autoTab := .T.
   ::building:tabstop := .T.

   ::Static05          := XbpStatic():new( ::drawingArea, , {232,104}, {64,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static05:caption := ""
   ::Static05:clipSiblings := .T.
   ::Static05:options := XBPSTATIC_TEXT_VCENTER

   ::flat              := XbpSLE():new( ::drawingArea, , {304,104}, {48,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::flat:bufferLength := 4
   ::flat:align := XBPSLE_CENTER
   ::flat:autoTab := .T.
   ::flat:tabstop := .T.

   ::Static1          := XbpStatic():new( ::drawingArea, , {8,72}, {144,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static1:caption := " "
   ::Static1:clipSiblings := .T.
   ::Static1:options := XBPSTATIC_TEXT_VCENTER

   ::bank              := XbpSpinButton():new( ::drawingArea, , {152,72}, {56,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::bank:bufferLength := 4
   ::bank:padWithZeros := .T.
   ::bank:align := XBPSLE_CENTER
   ::bank:autoTab := .T.
   ::bank:tabstop := .T.

   ::Static2         := XbpStatic():new( ::drawingArea, , {216,72}, {24,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static2:caption := "/"
   ::Static2:clipSiblings := .T.
   ::Static2:options := XBPSTATIC_TEXT_VCENTER

   ::desk        := XbpSpinButton():new( ::drawingArea, , {232,72}, {56,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::desk:bufferLength := 4
   ::desk:padWithZeros := .T.
   ::desk:align := XBPSLE_CENTER
   ::desk:autoTab := .T.
   ::desk:tabstop := .T.

   ::Static3         := XbpStatic():new( ::drawingArea, , {8,40}, {144,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static3:caption := "  "
   ::Static3:clipSiblings := .T.
   ::Static3:options := XBPSTATIC_TEXT_VCENTER

   ::account        := XbpSLE():new( ::drawingArea, , {152,40}, {200,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::account:bufferLength := 20
   ::account:tabstop := .T.

   ::btnDone           := XbpPushButton():new( ::drawingArea, , {232,8}, {120,24}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::btnDone:caption := ""
   ::btnDone:tabStop := .T.
   ::btnDone:activate := {|| NIL }

   ::btnExit           := XbpPushButton():new( ::drawingArea, , {104,8}, {120,24}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::btnExit:caption := ""
   ::btnExit:tabStop := .T.
   ::btnExit:activate := {|| NIL }

RETURN self


******************************************************************************
* Request system resources
******************************************************************************
METHOD _BankAndAccount:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::XbpDialog:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   IF INTERFACE_ALLOWNOTIFICATIONS
     ::Static01:create()

     ::index:create()

     ::Static02:create()

     ::street:create()

     ::Static03:create()

     ::house:create()

     ::Static04:create()

     ::building:create()

     ::Static05:create()

     ::flat:create()
   ENDIF

   ::Static1:create()

   ::bank:create()

   ::Static2:create()

   ::desk:create()

   ::Static3:create()

   ::account:create()

   ::btnDone:create()

   ::btnExit:create()

RETURN self

#endif

//EOF
/////