///////////////////////////////////////////////////////////////////////////////
//
//  Class code created by the Xbase++ FormDesigner
//    Creation date: 11.02.2008 Creation time: 16:02:25
//
//  Contents  :
//    This file contains the implementation level of a form and is
//    overwritten automatically by the Xbase++ Form Designer.
//    Be careful when modifying this file since changes may get lost.
//
///////////////////////////////////////////////////////////////////////////////

#ifndef _PERSONSFORM_
#define _PERSONSFORM_

#include "Gra.ch"
#include "Xbp.ch"
#include "Common.ch"
#include "Appevent.ch"
#include "Font.ch"

#PRAGMA LIBRARY( "ASCOM10.LIB" )

CLASS _Persons FROM XbpDialog
   EXPORTED:
      VAR editControls

      * Contained control elements
      VAR Static411
      VAR family
      VAR Static51
      VAR name
      VAR Static6
      VAR name2
      VAR Static41
      VAR relation
      VAR Static41_
      VAR status
      VAR Static91
      VAR day
      VAR month
      VAR year

      VAR Static01
      VAR index
      VAR Static02
      VAR street
      VAR Static03
      VAR house
      VAR Static04
      VAR building
      VAR Static05
      VAR flat
      VAR nHeightOffset

      VAR Static418
      VAR bank
      VAR Static419_
      VAR desk
      VAR Static419
      VAR account
      VAR btnPrev
      VAR btnNext
      VAR btnAdd
      VAR btnChange
      VAR btnRemove
      VAR btnExit

      VAR relations
      VAR categories

      METHOD init
      METHOD create
ENDCLASS

******************************************************************************
* Initialize form
******************************************************************************
METHOD _Persons:init( oParent, oOwner, aPos, aSize, aPP, lVisible )

   DEFAULT oParent  TO AppDesktop(), ;
           aPos     TO {444,535}, ;
           aSize    TO {528,IIf(INTERFACE_ALLOWNOTIFICATIONS, 328, 232)}, ;
           lVisible TO .F.

   DEFAULT aPP TO {}
   AAdd ( aPP, { XBP_PP_COMPOUNDNAME, "10.MS Sans Serif" } )
   ::XbpDialog:init( oParent, oOwner, aPos, aSize, aPP, lVisible )
   ::XbpDialog:taskList := .T.
   ::XbpDialog:title := ""
   ::XbpDialog:alwaysOnTop := .T.
   ::XbpDialog:maxButton := .F.
   ::XbpDialog:minButton := .F.
   ::XbpDialog:hideButton := .F.
//   ::XbpDialog:sysMenu := .F.

   ::nHeightOffset := IIf(INTERFACE_ALLOWNOTIFICATIONS, 96, 0)
   ::editControls := {}

   ::Static411         := XbpStatic():new( ::drawingArea, , {8,168+::nHeightOffset}, {80,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static411:caption := ""
   ::Static411:clipSiblings := .T.
   ::Static411:options := XBPSTATIC_TEXT_VCENTER

   ::family            := XbpSLE():new( ::drawingArea, , {88,168+::nHeightOffset}, {176,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::family:bufferLength := 20
   ::family:tabStop := .T.
   ::family:dataLink := {|x| IIf( PCOUNT()==0, Trim(buf->FAMILY), ) }
   AAdd( ::editControls, ::family )

   ::Static51          := XbpStatic():new( ::drawingArea, , {8,136+::nHeightOffset}, {40,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static51:caption := ""
   ::Static51:clipSiblings := .T.
   ::Static51:options := XBPSTATIC_TEXT_VCENTER

   ::name              := XbpSLE():new( ::drawingArea, , {88,136+::nHeightOffset}, {176,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::name:bufferLength := 15
   ::name:tabStop := .T.
   ::name:dataLink := {|x| IIf( PCOUNT()==0, Trim(buf->NAME), ) }
   AAdd( ::editControls, ::name )

   ::Static6           := XbpStatic():new( ::drawingArea, , {8,104+::nHeightOffset}, {80,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static6:caption := ""
   ::Static6:clipSiblings := .T.
   ::Static6:options := XBPSTATIC_TEXT_VCENTER

   ::name2             := XbpSLE():new( ::drawingArea, , {88,104+::nHeightOffset}, {176,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::name2:bufferLength := 15
   ::name2:tabStop := .T.
   ::name2:dataLink := {|x| IIf( PCOUNT()==0, Trim(buf->NAME2), ) }
   AAdd( ::editControls, ::name2 )

   ::Static41          := XbpStatic():new( ::drawingArea, , {272,168+::nHeightOffset}, {56,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static41:caption := ""
   ::Static41:clipSiblings := .T.
   ::Static41:options := XBPSTATIC_TEXT_VCENTER

   ::relation          := XbpCombobox():new( ::drawingArea, , {344,4+::nHeightOffset}, {168,188}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::relation:tabstop := .T.
   ::relation:type := XBPCOMBO_DROPDOWNLIST
   ::relation:dataLink := {|x| IIf( PCOUNT()==0, { buf->RELATION + 1 }, /*AEval(x, {|sel| buf->RELATION := sel - 1 })*/) }
   AAdd( ::editControls, ::relation )

   ::Static41_          := XbpStatic():new( ::drawingArea, , {272,136+::nHeightOffset}, {56,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static41_:caption := ""
   ::Static41_:clipSiblings := .T.
   ::Static41_:options := XBPSTATIC_TEXT_VCENTER

   ::status          := XbpCombobox():new( ::drawingArea, , {344,4+::nHeightOffset}, {168,156}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::status:tabstop := .T.
   ::status:type := XBPCOMBO_DROPDOWNLIST
   ::status:dataLink := {|x| IIf( PCOUNT()==0, { IIf((::mainWnd:rights[2] .OR. ::mainWnd:right1:getData()) .AND. buf->STATUS >= 0, buf->STATUS + 1, 1) }, /*AEval(x, {|sel| buf->STATUS := sel - 1 })*/) }
   AAdd( ::editControls, ::status )

   ::Static91          := XbpStatic():new( ::drawingArea, , {272,104+::nHeightOffset}, {104,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static91:caption := " "
   ::Static91:clipSiblings := .T.
   ::Static91:options := XBPSTATIC_TEXT_VCENTER

   ::day               := XbpSpinButton():new( ::drawingArea, , {376,104+::nHeightOffset}, {40,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::day:bufferLength := 2
   ::day:padWithZeros := .T.
   ::day:align := XBPSLE_CENTER
   ::day:autoTab := .T.
   ::day:tabStop := .T.
   ::day:dataLink := {|x| IIf( PCOUNT()==0, Day(buf->BIRTH),) }
   AAdd( ::editControls, ::day )

   ::month             := XbpSpinButton():new( ::drawingArea, , {416,104+::nHeightOffset}, {40,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::month:bufferLength := 2
   ::month:padWithZeros := .T.
   ::month:align := XBPSLE_CENTER
   ::month:autoTab := .T.
   ::month:tabStop := .T.
   ::month:dataLink := {|x| IIf( PCOUNT()==0, Month(buf->BIRTH),) }
   AAdd( ::editControls, ::month )

   ::year              := XbpSpinButton():new( ::drawingArea, , {456,104+::nHeightOffset}, {56,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::year:bufferLength := 4
   ::year:padWithZeros := .T.
   ::year:align := XBPSLE_CENTER
   ::year:autoTab := .T.
   ::year:tabStop := .T.
   ::year:dataLink := {|x| IIf( PCOUNT()==0, Year(buf->BIRTH),) }
   AAdd( ::editControls, ::year )

   ::Static01          := XbpStatic():new( ::drawingArea, , {8,168}, {128,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static01:caption := " "
   ::Static01:clipSiblings := .T.
   ::Static01:options := XBPSTATIC_TEXT_VCENTER

   ::index              := XbpSLE():new( ::drawingArea, , {136,168}, {64,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::index:bufferLength := 6
   ::index:align := XBPSLE_RIGHT
   ::index:autoTab := .T.
   ::index:tabstop := .T.
   ::index:dataLink := {|x| IIf( PCOUNT()==0, IIf(!Empty(buf->PG) .AND. dbf->(DbSeek(buf->PG)), Str(info->IND, 6),;
                            IIf(info->(DbSeek(Str(buf->PERSONID, 6) + Str(buf->PENSID, 6) + Str(buf->PG, 6) +;
                            Str(buf->RELATION, 2) + buf->FAMILY + buf->NAME + buf->NAME2)),;
                            Str(info->IND, 6), "" )), ) }
   AAdd( ::editControls, ::index )

   ::Static02         := XbpStatic():new( ::drawingArea, , {8,136}, {128,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static02:caption := ".,"
   ::Static02:clipSiblings := .T.
   ::Static02:options := XBPSTATIC_TEXT_VCENTER

   ::street        := XbpSLE():new( ::drawingArea, , {136,136}, {376,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::street:bufferLength := 40
   ::street:tabstop := .T.
   ::street:dataLink := {|x| IIf( PCOUNT()==0, IIf(!Empty(buf->PG) .AND. dbf->(DbSeek(buf->PG)), dbf->ADDRESS,;
                             IIf(info->(DbSeek(Str(buf->PERSONID, 6) + Str(buf->PENSID, 6) + Str(buf->PG, 6) +;
                             Str(buf->RELATION, 2) + buf->FAMILY + buf->NAME + buf->NAME2)),;
                             info->ADDRESS, "" )), ) }
   AAdd( ::editControls, ::street )

   ::Static03          := XbpStatic():new( ::drawingArea, , {8,104}, {32,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static03:caption := ""
   ::Static03:clipSiblings := .T.
   ::Static03:options := XBPSTATIC_TEXT_VCENTER

   ::house              := XbpSLE():new( ::drawingArea, , {40,104}, {72,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::house:bufferLength := 7
   ::house:align := XBPSLE_CENTER
   ::house:autoTab := .T.
   ::house:tabstop := .T.
   ::house:dataLink := {|x| IIf( PCOUNT()==0, IIf(!Empty(buf->PG) .AND. dbf->(DbSeek(buf->PG)), dbf->HOUSE,;
                            IIf(info->(DbSeek(Str(buf->PERSONID, 6) + Str(buf->PENSID, 6) + Str(buf->PG, 6) +;
                            Str(buf->RELATION, 2) + buf->FAMILY + buf->NAME + buf->NAME2)),;
                            info->HOUSE, "" )), ) }
   AAdd( ::editControls, ::house )

   ::Static04          := XbpStatic():new( ::drawingArea, , {120,104}, {48,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static04:caption := ""
   ::Static04:clipSiblings := .T.
   ::Static04:options := XBPSTATIC_TEXT_VCENTER

   ::building              := XbpSLE():new( ::drawingArea, , {176,104}, {48,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::building:bufferLength := 4
   ::building:align := XBPSLE_CENTER
   ::building:autoTab := .T.
   ::building:tabstop := .T.
   ::building:dataLink := {|x| IIf( PCOUNT()==0, IIf(!Empty(buf->PG) .AND. dbf->(DbSeek(buf->PG)), dbf->CORPUS,;
                               IIf(info->(DbSeek(Str(buf->PERSONID, 6) + Str(buf->PENSID, 6) + Str(buf->PG, 6) +;
                               Str(buf->RELATION, 2) + buf->FAMILY + buf->NAME + buf->NAME2)),;
                               info->CORPUS, "" )), ) }
   AAdd( ::editControls, ::building )

   ::Static05          := XbpStatic():new( ::drawingArea, , {232,104}, {64,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static05:caption := ""
   ::Static05:clipSiblings := .T.
   ::Static05:options := XBPSTATIC_TEXT_VCENTER

   ::flat              := XbpSLE():new( ::drawingArea, , {304,104}, {48,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::flat:bufferLength := 4
   ::flat:align := XBPSLE_CENTER
   ::flat:autoTab := .T.
   ::flat:tabstop := .T.
   ::flat:dataLink := {|x| IIf( PCOUNT()==0, IIf(!Empty(buf->PG) .AND. dbf->(DbSeek(buf->PG)), dbf->FLAT,;
                           IIf(info->(DbSeek(Str(buf->PERSONID, 6) + Str(buf->PENSID, 6) + Str(buf->PG, 6) +;
                           Str(buf->RELATION, 2) + buf->FAMILY + buf->NAME + buf->NAME2)),;
                           info->FLAT, "" )), ) }
   AAdd( ::editControls, ::flat )

   ::Static418         := XbpStatic():new( ::drawingArea, , {8,72}, {144,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static418:caption := " "
   ::Static418:clipSiblings := .T.
   ::Static418:options := XBPSTATIC_TEXT_VCENTER

//   ::bank              := XbpCombobox():new( ::drawingArea, , {176,0}, {200,96}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::bank              := XbpSpinButton():new( ::drawingArea, , {152,72}, {56,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::bank:bufferLength := 4
   ::bank:padWithZeros := .T.
   ::bank:align := XBPSLE_CENTER
   ::bank:autoTab := .T.
   ::bank:tabstop := .T.
//   ::bank:type := XBPCOMBO_DROPDOWNLIST
   ::bank:dataLink := {|x| IIf( PCOUNT()==0, IIf(!Empty(buf->PG) .AND. dbf->(DbSeek(buf->PG)),;
                           IIf(Len(dbf->FILIAL) >= 4, Val(Left(dbf->FILIAL, 4)),;
                           Eval({|str| Val(SubStr(str, At("", str) + 2), 4) }, ::banks[dbf->RN + 1], dbf->FILIAL)),;
                           IIf(info->(DbSeek(Str(buf->PERSONID, 6) + Str(buf->PENSID, 6) + Str(buf->PG, 6) +;
                           Str(buf->RELATION, 2) + buf->FAMILY + buf->NAME + buf->NAME2)),;
                           Val(Left(info->FILIAL, 4)), 0 )), ) }
                           //{ AScan(::banks, Left(info->FILIAL, 4)) }, {} )), ) }
   AAdd( ::editControls, ::bank )

   ::Static419_         := XbpStatic():new( ::drawingArea, , {216,72}, {24,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static419_:caption := "/"
   ::Static419_:clipSiblings := .T.
   ::Static419_:options := XBPSTATIC_TEXT_VCENTER

   ::desk        := XbpSpinButton():new( ::drawingArea, , {232,72}, {56,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::desk:bufferLength := 4
   ::desk:padWithZeros := .T.
   ::desk:align := XBPSLE_CENTER
   ::desk:autoTab := .T.
   ::desk:tabstop := .T.
   ::desk:dataLink := {|x| IIf( PCOUNT()==0, IIf(!Empty(buf->PG) .AND. dbf->(DbSeek(buf->PG)),;
                              IIf(Len(dbf->FILIAL) >= 9, Val(SubStr(dbf->FILIAL, 6, 4)), 0),;
                              IIf(info->(DbSeek(Str(buf->PERSONID, 6) + Str(buf->PENSID, 6) + Str(buf->PG, 6) +;
                              Str(buf->RELATION, 2) + buf->FAMILY + buf->NAME + buf->NAME2)),;
                              Val(SubStr(info->FILIAL, 6, 4)), 0 )), ) }
   AAdd( ::editControls, ::desk )

   ::Static419         := XbpStatic():new( ::drawingArea, , {8,40}, {144,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static419:caption := "  "
   ::Static419:clipSiblings := .T.
   ::Static419:options := XBPSTATIC_TEXT_VCENTER

   ::account        := XbpSLE():new( ::drawingArea, , {152,40}, {200,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::account:bufferLength := 20
   ::account:tabstop := .T.
   ::account:dataLink := {|x| IIf( PCOUNT()==0, IIf(!Empty(buf->PG) .AND. dbf->(DbSeek(buf->PG)), dbf->NOLIC,;
                              IIf(info->(DbSeek(Str(buf->PERSONID, 6) + Str(buf->PENSID, 6) + Str(buf->PG, 6) +;
                              Str(buf->RELATION, 2) + buf->FAMILY + buf->NAME + buf->NAME2)),;
                              info->NOLIC, "" )), ) }
   AAdd( ::editControls, ::account )

   ::btnNext           := XbpPushButton():new( ::drawingArea, , {440,8}, {72,24}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::btnNext:caption := ">>>"
   ::btnNext:tabStop := .T.

   ::btnPrev           := XbpPushButton():new( ::drawingArea, , {360,8}, {72,24}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::btnPrev:caption := "<<<"
   ::btnPrev:tabStop := .T.

   ::btnExit           := XbpPushButton():new( ::drawingArea, , {272,8}, {80,24}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::btnExit:caption := ""
   ::btnExit:tabStop := .T.
   ::btnExit:activate := {|| NIL }

   ::btnChange           := XbpPushButton():new( ::drawingArea, , {184,8}, {80,24}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::btnChange:caption := ""
   ::btnChange:tabStop := .T.
   ::btnChange:activate := {|| NIL }

   ::btnAdd           := XbpPushButton():new( ::drawingArea, , {96,8}, {80,24}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::btnAdd:caption := ""
   ::btnAdd:tabStop := .T.
   ::btnAdd:activate := {|| NIL }

   ::btnRemove           := XbpPushButton():new( ::drawingArea, , {8,8}, {80,24}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::btnRemove:caption := ""
   ::btnRemove:tabStop := .T.
   ::btnRemove:activate := {|| NIL }

RETURN self


******************************************************************************
* Request system resources
******************************************************************************
METHOD _Persons:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::XbpDialog:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::Static411:create()

   ::family:create()

   ::Static51:create()

   ::name:create()

   ::Static6:create()

   ::name2:create()

   ::Static41:create()

   ::relation:create()

   ::Static41_:create()

   ::status:create()

   ::Static91:create()

   ::day:create()

   ::month:create()

   ::year:create()

   IF INTERFACE_ALLOWNOTIFICATIONS
     ::Static01:create()

     ::index:create()

     ::Static02:create()

     ::street:create()

     ::Static03:create()

     ::house:create()

     ::Static04:create()

     ::building:create()

     ::Static05:create()

     ::flat:create()
   ENDIF

   ::Static418:create()

   ::bank:create()

   ::Static419_:create()

   ::desk:create()

   ::Static419:create()

   ::account:create()

   ::btnChange:create()

   ::btnExit:create()

   ::btnNext:create()

   ::btnPrev:create()

   ::btnAdd:create()

   ::btnRemove:create()

RETURN self

#endif

//EOF
/////