///////////////////////////////////////////////////////////////////////////////
//
//  Class code created by the Xbase++ FormDesigner
//    Creation date: 11.02.2008 Creation time: 16:02:25
//
//  Contents  :
//    This file contains the implementation level of a form and is
//    overwritten automatically by the Xbase++ Form Designer.
//    Be careful when modifying this file since changes may get lost.
//
///////////////////////////////////////////////////////////////////////////////

#ifndef _PRNCFGFORM_
#define _PRNCFGFORM_

#include "Gra.ch"
#include "Xbp.ch"
#include "Common.ch"
#include "Appevent.ch"
#include "Font.ch"

#PRAGMA LIBRARY( "ASCOM10.LIB" )

CLASS _PrinterConfig FROM XbpDialog
   EXPORTED:
      VAR editControls

      * Contained control elements
      VAR Static01
      VAR Static02
      VAR Static03
      VAR Static04
      VAR Static05
      VAR Static1
      VAR printer1
      VAR form1
      VAR orient1
      VAR offsetx1
      VAR offsety1
      VAR test1
      VAR Static2
      VAR printer2
      VAR form2
      VAR orient2
      VAR offsetx2
      VAR offsety2
      VAR test2
      VAR test31
      VAR test32
      VAR btnDone
      VAR btnExit

      METHOD init
      METHOD create
ENDCLASS

******************************************************************************
* Initialize form
******************************************************************************
METHOD _PrinterConfig:init( oParent, oOwner, aPos, aSize, aPP, lVisible )

   DEFAULT oParent  TO AppDesktop(), ;
           aPos     TO {444,535}, ;
           aSize    TO {616,152}, ;
           lVisible TO .F.

   DEFAULT aPP TO {}
   AAdd ( aPP, { XBP_PP_COMPOUNDNAME, "10.MS Sans Serif" } )
   ::XbpDialog:init( oParent, oOwner, aPos, aSize, aPP, lVisible )
   ::XbpDialog:taskList := .T.
   ::XbpDialog:title := " "
   ::XbpDialog:maxButton := .F.
   ::XbpDialog:minButton := .F.
   ::XbpDialog:hideButton := .F.
   ::XbpDialog:sysMenu := .F.

   ::Static01          := XbpStatic():new( ::drawingArea, , {88,96}, {200,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static01:caption := " "
   ::Static01:clipSiblings := .T.
   ::Static01:options := XBPSTATIC_TEXT_CENTER + XBPSTATIC_TEXT_VCENTER

   ::Static02          := XbpStatic():new( ::drawingArea, , {288,96}, {96,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static02:caption := ""
   ::Static02:clipSiblings := .T.
   ::Static02:options := XBPSTATIC_TEXT_CENTER + XBPSTATIC_TEXT_VCENTER

   ::Static03          := XbpStatic():new( ::drawingArea, , {384,96}, {88,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static03:caption := ""
   ::Static03:clipSiblings := .T.
   ::Static03:options := XBPSTATIC_TEXT_CENTER + XBPSTATIC_TEXT_VCENTER

   ::Static04          := XbpStatic():new( ::drawingArea, , {472,96}, {40,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static04:caption := "X"
   ::Static04:clipSiblings := .T.
   ::Static04:options := XBPSTATIC_TEXT_CENTER + XBPSTATIC_TEXT_VCENTER

   ::Static05          := XbpStatic():new( ::drawingArea, , {512,96}, {40,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static05:caption := "Y"
   ::Static05:clipSiblings := .T.
   ::Static05:options := XBPSTATIC_TEXT_CENTER + XBPSTATIC_TEXT_VCENTER

   ::Static1          := XbpStatic():new( ::drawingArea, , {8,72}, {64,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static1:caption := ""
   ::Static1:clipSiblings := .T.
   ::Static1:options := XBPSTATIC_TEXT_VCENTER

   ::printer1          := XbpCombobox():new( ::drawingArea, , {88,32}, {200,64}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::printer1:tabstop := .T.
   ::printer1:type := XBPCOMBO_DROPDOWNLIST

   ::form1          := XbpCombobox():new( ::drawingArea, , {288,32}, {96,64}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::form1:tabstop := .T.
   ::form1:type := XBPCOMBO_DROPDOWNLIST

   ::orient1          := XbpCombobox():new( ::drawingArea, , {384,36}, {88,60}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::orient1:tabstop := .T.
   ::orient1:type := XBPCOMBO_DROPDOWNLIST

//   ::offsetx1            := XbpSpinButton():new( ::drawingArea, , {472,72}, {48,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::offsetx1            := XbpSLE():new( ::drawingArea, , {472,72}, {40,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::offsetx1:bufferLength := 4
   ::offsetx1:tabStop := .T.
   ::offsetx1:align := XBPSLE_RIGHT

//   ::offsety1            := XbpSpinButton():new( ::drawingArea, , {520,72}, {48,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::offsety1            := XbpSLE():new( ::drawingArea, , {512,72}, {40,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::offsety1:bufferLength := 4
   ::offsety1:tabStop := .T.
   ::offsety1:align := XBPSLE_RIGHT

//   ::test1           := XbpPushButton():new( ::drawingArea, , {568,72}, {48,24}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::test1           := XbpPushButton():new( ::drawingArea, , {552,72}, {48,24}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::test1:caption := ""
   ::test1:tabStop := .T.
   ::test1:activate := {|| NIL }

   ::Static2           := XbpStatic():new( ::drawingArea, , {8, 40}, {80,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static2:caption := ""
   ::Static2:clipSiblings := .T.
   ::Static2:options := XBPSTATIC_TEXT_VCENTER

   ::printer2            := XbpCombobox():new( ::drawingArea, , {88,0}, {200,64}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::printer2:tabstop := .T.
   ::printer2:type := XBPCOMBO_DROPDOWNLIST

   ::form2            := XbpCombobox():new( ::drawingArea, , {288,0}, {96,64}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::form2:tabstop := .T.
   ::form2:type := XBPCOMBO_DROPDOWNLIST

   ::orient2          := XbpCombobox():new( ::drawingArea, , {384,4}, {88,60}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::orient2:tabstop := .T.
   ::orient2:type := XBPCOMBO_DROPDOWNLIST

//   ::offsetx2            := XbpSpinButton():new( ::drawingArea, , {472,40}, {48,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::offsetx2            := XbpSLE():new( ::drawingArea, , {472,40}, {40,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::offsetx2:bufferLength := 4
   ::offsetx2:tabStop := .T.
   ::offsetx2:align := XBPSLE_RIGHT

//   ::offsety2            := XbpSpinButton():new( ::drawingArea, , {520,40}, {48,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::offsety2            := XbpSLE():new( ::drawingArea, , {512,40}, {40,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::offsety2:bufferLength := 4
   ::offsety2:tabStop := .T.
   ::offsety2:align := XBPSLE_RIGHT

//   ::test2           := XbpPushButton():new( ::drawingArea, , {568,40}, {48,24}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::test2           := XbpPushButton():new( ::drawingArea, , {552,40}, {48,24}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::test2:caption := ""
   ::test2:tabStop := .T.
   ::test2:activate := {|| NIL }

   ::test31           := XbpPushButton():new( ::drawingArea, , {272,8}, {104,24}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::test31:caption := "1"
   ::test31:activate := {|| NIL }

   ::test32           := XbpPushButton():new( ::drawingArea, , {384,8}, {104,24}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::test32:caption := "2"
   ::test32:activate := {|| NIL }

   ::btnDone           := XbpPushButton():new( ::drawingArea, , {496,8}, {104,24}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::btnDone:caption := ""
   ::btnDone:tabStop := .T.
   ::btnDone:activate := {|| NIL }

   ::btnExit           := XbpPushButton():new( ::drawingArea, , {384,8}, {104,24}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::btnExit:caption := ""
   ::btnExit:tabStop := .T.
   ::btnExit:activate := {|| NIL }

RETURN self


******************************************************************************
* Request system resources
******************************************************************************
METHOD _PrinterConfig:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::XbpDialog:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::Static01:create()

   ::Static02:create()

   ::Static03:create()

   ::Static04:create()

   ::Static05:create()

   ::Static1:create()

   ::printer1:create()

   ::form1:create()

   ::orient1:create()

   ::offsetx1:create()

   ::offsety1:create()

   ::test1:create()

   ::Static2:create()

   ::printer2:create()

   ::form2:create()

   ::orient2:create()

   ::offsetx2:create()

   ::offsety2:create()

   ::test2:create()

//   ::test31:create()

//   ::test32:create()

   ::btnDone:create()

   ::btnExit:create()

RETURN self

#endif

//EOF
/////