#include "Common.ch"
#include "frdbrtn.ch"

FUNCTION GetEmptyFields(record, pos, count)

        LOCAL aResult := {}
        AEval(record, {|x,i| IIf(NIL == x, AAdd(aResult, i),) }, pos, count)

RETURN aResult

PROCEDURE RebuildIndex(db, idx)

        (db)->(OrdListClear())
        (db)->(OrdListAdd(idx))
        (db)->(OrdListRebuild())

RETURN

FUNCTION FindRecord(cond, db1, locateBlock, db2, indexFile, indexKey, len)

        LOCAL db, aResult := {}

        IF .T. == cond
                IF (db1)->(DbLocate(locateBlock))
                        db := db1
                ELSE
                        (db2)->(OrdListClear())
                        (db2)->(OrdListAdd(indexFile))
                        IF (db2)->(DbSeek(indexKey))
                                db := db2
                        ENDIF
                ENDIF
        ENDIF

        IF db != NIL
                ASize(aResult, len)
                AEval(aResult, {|x, i| x := (db)->(FieldGet(i)) },,,.T.)
        ENDIF

RETURN aResult

FUNCTION SetRecord(db, record,/*, browser, */append)

/*
        IF !(db)->(FLock())
                MsgBox("    ." + Chr(10) +;
                           "   .",;
                           "")
                RETURN .F.
        ENDIF
*/
        IIf(append, (db)->(DbAppend()),)

        AEval(record, {|x,i| IIf(x != NIL, (db)->(FieldPut(i, x)),) })

//   (db)->(DbUnlock())

        (db)->(DbGoto(Max(1, (db)->(LastRec()) - 4)))
        //browser:refreshAll()
        //browser:forceStable()

RETURN .T.

FUNCTION AddRecord(db, record, append)

        IIf(Empty(append), ,&(db + "->(DbAppend())"))

        AEval(record, {|x| IIf(&(db + '->(FieldPos("' + x[1] + '")) > 0'), &(db + "->" + x[1]) := x[2],) })

RETURN .T.