#include "Common.ch"
#include "frdbrtn.ch"

STATIC g_aMonths := { "", "", "", "", "", "",;
                      "", "", "", "", "", "" }

FUNCTION MakeNumber(db, serial, number)

        LOCAL cResult := IIf(Empty(serial) .OR. Empty(number), "-", AllTrim(Str(serial)) +;
                                         "" + Str(number, 10))

RETURN IIf((db)->(Bof()),"", cResult)

FUNCTION MakePG(db)

//        LOCAL nResult := IIf(Empty((db)->PG),, (db)->PG)

RETURN IIf((db)->(Bof()) .OR. Empty((db)->PG),0, (db)->PG)

FUNCTION MakePerson(db, values)

        LOCAL cResult := ASelect(values, (db)->RELATION + 1) + ", " + MakeFIO(db)

RETURN IIf((db)->(Bof()),"", IIf((db)->NOTE > 1, "-", cResult))

FUNCTION MergeFIO(family, name, name2, blank)
RETURN IIf(Empty(family), blank, AllTrim(family)) + " " +;
           IIf(Empty(name), blank, AllTrim(name)) + " " +;
           IIf(Empty(name2), blank, AllTrim(name2))

FUNCTION MakeFIO(db)
RETURN IIf((db)->(Bof()), "", MergeFIO((db)->Family, (db)->Name, (db)->Name2, "-"))

FUNCTION FormatFIO(fio)
   LOCAL nIndex, cResult := StrTran(fio, " ", "")

   cResult := Upper(Left(cResult, 1)) + Lower(SubStr(cResult, 2))

   nIndex := At("-", cResult)
   IF nIndex > 0
     IF Len(cResult) == nIndex
       cResult := Left(cResult, nIndex - 1)
     ELSE
       cResult := Left(cResult, nIndex) + Upper(SubStr(cResult, nIndex + 1, 1)) + SubStr(cResult, nIndex + 2)
     ENDIF
   ENDIF

RETURN cResult

FUNCTION MakeIssue(db, values)

        LOCAL cResult := ASelect(values, (db)->DISTRICT + 1) + ", " +;
                                         IIf(Empty((db)->DATE), "-", DtoC((db)->DATE))


RETURN IIf((db)->(Bof()), "", IIf((db)->NOTE > 1, "-", cResult))

FUNCTION MakeNotes(db, values)

        LOCAL cResult := ASelect(values, (db)->NOTE)

RETURN IIf((db)->(Bof()), "", cResult)

FUNCTION MakeDate(dDate)
RETURN '"' + Str(Day(dDate), 2) + '" ' + g_aMonths[Month(dDate)] + " " + Str(Year(dDate), 4) + " ."

FUNCTION MakeMonth(dDate)
RETURN g_aMonths[Month(dDate)]