///////////////////////////////////////////////////////////////////////////////
//
//  Class code created by the Xbase++ FormDesigner
//    Creation date: 11.02.2008 Creation time: 16:02:25
//
//  Contents  :
//    This file contains the implementation level of a form and is
//    overwritten automatically by the Xbase++ Form Designer.
//    Be careful when modifying this file since changes may get lost.
//
///////////////////////////////////////////////////////////////////////////////

#ifndef _CIVPENSFORM_
#define _CIVPENSFORM_

#include "Gra.ch"
#include "Xbp.ch"
#include "Common.ch"
#include "Appevent.ch"
#include "Font.ch"

#PRAGMA LIBRARY( "ASCOM10.LIB" )

CLASS _CivPens FROM XbpDialog
   EXPORTED:
      VAR editControls
      VAR updateControls
      VAR disabledControls

      * Contained control elements
      VAR Static1
      VAR ID
      VAR Static411
      VAR family
      VAR Static51
      VAR name
      VAR Static6
      VAR name2
      VAR Static41
      VAR district
      VAR Static9
      VAR status
      VAR Static91
      VAR day
      VAR month
      VAR year
      VAR Static11
      VAR Static412
//      VAR Static413
      VAR serviceTimeTotal
      VAR Static415
      VAR serviceTimeChrono
      VAR countWork
      VAR Static418
      VAR rank
      VAR Static419
      VAR retirement
      VAR btnPrev
      VAR btnNext
      VAR btnAdd
      VAR btnChange
      VAR btnRemove
      VAR btnExit

      VAR articles
      VAR ranks

      METHOD init
      METHOD create
      METHOD ScatterControls
ENDCLASS

******************************************************************************
* Initialize form
******************************************************************************
METHOD _CivPens:init( oParent, oOwner, aPos, aSize, aPP, lVisible )

   DEFAULT oParent  TO AppDesktop(), ;
           aPos     TO {444,535}, ;
           aSize    TO {528,328}, ;
           lVisible TO .F.

   DEFAULT aPP TO {}
   AAdd ( aPP, { XBP_PP_COMPOUNDNAME, "10.MS Sans Serif" } )
   ::XbpDialog:init( oParent, oOwner, aPos, aSize, aPP, lVisible )
   ::XbpDialog:taskList := .T.
   ::XbpDialog:title := "  " + SYS_LITERA
   ::XbpDialog:alwaysOnTop := .T.
   ::XbpDialog:maxButton := .F.
   ::XbpDialog:minButton := .F.
   ::XbpDialog:hideButton := .F.
//   ::XbpDialog:sysMenu := .F.

   ::editControls := {}

   ::Static1         := XbpStatic():new( ::drawingArea, , {8,264}, {120,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static1:caption := ""
   ::Static1:clipSiblings := .T.
   ::Static1:options := XBPSTATIC_TEXT_VCENTER

   ::ID            := XbpSLE():new( ::drawingArea, , {128,264}, {80,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::ID:bufferLength := 7
   ::ID:align := XBPSLE_RIGHT
   ::ID:editable := .F.
   ::ID:dataLink := {|x| IIf( PCOUNT()==0, AllTrim(Str(civ->ID)),) }
   AAdd( ::editControls, ::ID )

   ::Static411         := XbpStatic():new( ::drawingArea, , {8,232}, {80,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static411:caption := ""
   ::Static411:clipSiblings := .T.
   ::Static411:options := XBPSTATIC_TEXT_VCENTER

   ::family            := XbpSLE():new( ::drawingArea, , {88,232}, {176,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::family:bufferLength := 20
   ::family:tabStop := .T.
   ::family:dataLink := {|x| IIf( PCOUNT()==0, Trim( civ->FAMILY ), /*civ->FAMILY := x*/ ) }
   AAdd( ::editControls, ::family )

   ::Static51          := XbpStatic():new( ::drawingArea, , {8,200}, {40,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static51:caption := ""
   ::Static51:clipSiblings := .T.
   ::Static51:options := XBPSTATIC_TEXT_VCENTER

   ::name              := XbpSLE():new( ::drawingArea, , {88,200}, {176,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::name:bufferLength := 15
   ::name:tabStop := .T.
   ::name:dataLink := {|x| IIf( PCOUNT()==0, Trim( civ->NAME ), /*civ->NAME := x*/) }
   AAdd( ::editControls, ::name )

   ::Static6           := XbpStatic():new( ::drawingArea, , {8,168}, {80,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static6:caption := ""
   ::Static6:clipSiblings := .T.
   ::Static6:options := XBPSTATIC_TEXT_VCENTER

   ::name2             := XbpSLE():new( ::drawingArea, , {88,168}, {176,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::name2:bufferLength := 15
   ::name2:tabStop := .T.
   ::name2:dataLink := {|x| IIf( PCOUNT()==0, Trim( civ->NAME2 ), /*civ->NAME2 := x*/) }
   AAdd( ::editControls, ::name2 )

   ::Static41          := XbpStatic():new( ::drawingArea, , {272,232}, {56,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static41:caption := ""
   ::Static41:clipSiblings := .T.
   ::Static41:options := XBPSTATIC_TEXT_VCENTER

   ::district          := XbpCombobox():new( ::drawingArea, , {344,4}, {168,252}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::district:tabstop := .T.
   ::district:type := XBPCOMBO_DROPDOWNLIST
   ::district:dataLink := {|x| IIf( PCOUNT()==0, { civ->RN + 1 }, /*AEval(x, {|sel| civ->RN := sel - 1 })*/) }
   AAdd( ::editControls, ::district )

   ::Static9           := XbpStatic():new( ::drawingArea, , {272,200}, {56,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static9:caption := ""
   ::Static9:clipSiblings := .T.
   ::Static9:options := XBPSTATIC_TEXT_VCENTER

   ::status            := XbpCombobox():new( ::drawingArea, , {344,152}, {168,72}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::status:tabstop := .T.
   ::status:type := XBPCOMBO_DROPDOWNLIST
   ::status:dataLink := {|x| IIf( PCOUNT()==0, { IIf(civ->STATUS < 0, 1, IIf(2 == civ->STATUS, 2, 3)) }, ) }
   AAdd( ::editControls, ::status )

   ::Static91          := XbpStatic():new( ::drawingArea, , {272,168}, {104,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static91:caption := " "
   ::Static91:clipSiblings := .T.
   ::Static91:options := XBPSTATIC_TEXT_VCENTER

   ::day               := XbpSpinButton():new( ::drawingArea, , {376,168}, {40,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::day:bufferLength := 2
   ::day:padWithZeros := .T.
   ::day:align := XBPSLE_CENTER
   ::day:autoTab := .T.
   ::day:tabStop := .T.
   ::day:dataLink := {|x| IIf( PCOUNT()==0, Day(civ->BORN),) }
   AAdd( ::editControls, ::day )

   ::month             := XbpSpinButton():new( ::drawingArea, , {416,168}, {40,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::month:bufferLength := 2
   ::month:padWithZeros := .T.
   ::month:align := XBPSLE_CENTER
   ::month:autoTab := .T.
   ::month:tabStop := .T.
   ::month:dataLink := {|x| IIf( PCOUNT()==0, Month(civ->BORN),) }
   AAdd( ::editControls, ::month )

   ::year              := XbpSpinButton():new( ::drawingArea, , {456,168}, {56,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::year:bufferLength := 4
   ::year:padWithZeros := .T.
   ::year:align := XBPSLE_CENTER
   ::year:autoTab := .T.
   ::year:tabStop := .T.
   ::year:dataLink := {|x| IIf( PCOUNT()==0, Year(civ->BORN),) }
   AAdd( ::editControls, ::year )

   ::Static11          := XbpStatic():new( ::drawingArea, , {8,40}, {504,120}, { { XBP_PP_BGCLR, GRA_CLR_BACKGROUND } } )
   ::Static11:caption := "     "
   ::Static11:clipSiblings := .T.
   ::Static11:type := XBPSTATIC_TYPE_GROUPBOX

   ::Static412         := XbpStatic():new( ::drawingArea, , {16,112}, {88,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static412:caption := " : "
   ::Static412:clipSiblings := .T.
   ::Static412:options := XBPSTATIC_TEXT_VCENTER

//   ::Static413         := XbpStatic():new( ::drawingArea, , {104,112}, {48,24}, { { XBP_PP_BGCLR, -255 } } )
//   ::Static413:caption := ""
//   ::Static413:clipSiblings := .T.
//   ::Static413:options := XBPSTATIC_TEXT_VCENTER

   ::serviceTimeTotal  := XbpSpinButton():new( ::drawingArea, , {104,112}, {40,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::serviceTimeTotal:bufferLength := 2
   ::serviceTimeTotal:padWithZeros := .T.
   ::serviceTimeTotal:tabStop := .T.
   ::serviceTimeTotal:align := XBPSLE_CENTER
   ::serviceTimeTotal:dataLink := {|x| IIf( PCOUNT()==0, civ->VYEAR, /*civ->VYEAR := x*/) }
   AAdd( ::editControls, ::serviceTimeTotal )

   ::Static415         := XbpStatic():new( ::drawingArea, , {160,112}, {132,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static415:caption := " .. "
   ::Static415:clipSiblings := .T.
   ::Static415:options := XBPSTATIC_TEXT_VCENTER

   ::serviceTimeChrono := XbpSpinButton():new( ::drawingArea, , {296,112}, {40,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::serviceTimeChrono:bufferLength := 2
   ::serviceTimeChrono:padWithZeros := .T.
   ::serviceTimeChrono:tabStop := .T.
   ::serviceTimeChrono:align := XBPSLE_CENTER
   ::serviceTimeChrono:dataLink := {|x| IIf( PCOUNT()==0, civ->VKAL, /*civ->VKAL := x*/) }
   AAdd( ::editControls, ::serviceTimeChrono )

   ::countWork         := XbpCheckBox():new( ::drawingArea, , {352,112}, {144,24}, { { XBP_PP_BGCLR, -255 } } )
   ::countWork:caption := "  . "
   ::countWork:tabStop := .T.
   ::countWork:selected := {|| NIL }
   ::countWork:dataLink := {|x| IIf( PCOUNT()==0, IIf(Empty(civ->WRK),.F.,.T.), civ->WRK := IIf(x, 1, 0)) }
   AAdd( ::editControls, ::countWork )

   ::Static418         := XbpStatic():new( ::drawingArea, , {16,80}, {120,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static418:caption := " "
   ::Static418:clipSiblings := .T.
   ::Static418:options := XBPSTATIC_TEXT_VCENTER

   ::rank              := XbpCombobox():new( ::drawingArea, , {140,0}, {104,104}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::rank:tabstop := .T.
   ::rank:type := XBPCOMBO_DROPDOWNLIST
   ::rank:dataLink := {|x| IIf( PCOUNT()==0, { AScan(::ranks[3], civ->RANG) }, AEval(x, {|sel| civ->RANG := ::ranks[3][sel] })) }
   AAdd( ::editControls, ::rank )

   ::Static419         := XbpStatic():new( ::drawingArea, , {16,48}, {104,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static419:caption := ". "
   ::Static419:clipSiblings := .T.
   ::Static419:options := XBPSTATIC_TEXT_VCENTER

   ::retirement        := XbpCombobox():new( ::drawingArea, , {128,0}, {376,72}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::retirement:tabstop := .T.
   ::retirement:type := XBPCOMBO_DROPDOWNLIST
   ::retirement:dataLink := {|x| IIf( PCOUNT()==0, { AScan(::articles[1], civ->STUWOL) }, AEval(x, {|sel| civ->STUWOL := ::articles[1][sel] })) }
   AAdd( ::editControls, ::retirement )

   ::btnNext           := XbpPushButton():new( ::drawingArea, , {440,8}, {72,24}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::btnNext:caption := ">>>"
   ::btnNext:tabStop := .T.
   ::btnNext:activate := {|| civ->(DbSkip(1)), IIf(civ->(Eof()), civ->(DbSkip(-1)),), ::ScatterControls()/*Scatter ( ::editControls )*/ }

   ::btnPrev           := XbpPushButton():new( ::drawingArea, , {360,8}, {72,24}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::btnPrev:caption := "<<<"
   ::btnPrev:tabStop := .T.
   ::btnPrev:activate := {|| civ->(DbSkip(-1)), ::ScatterControls()/*Scatter ( ::editControls )*/ }

   ::btnExit           := XbpPushButton():new( ::drawingArea, , {272,8}, {80,24}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::btnExit:caption := ""
   ::btnExit:tabStop := .T.
   ::btnExit:activate := {|| NIL }

   ::btnChange           := XbpPushButton():new( ::drawingArea, , {184,8}, {80,24}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::btnChange:caption := ""
   ::btnChange:tabStop := .T.
   ::btnChange:activate := {|| NIL }

   ::btnAdd           := XbpPushButton():new( ::drawingArea, , {96,8}, {80,24}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::btnAdd:caption := ""
   ::btnAdd:tabStop := .T.
   ::btnAdd:activate := {|| NIL }

   ::btnRemove           := XbpPushButton():new( ::drawingArea, , {8,8}, {80,24}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::btnRemove:caption := ""
   ::btnRemove:tabStop := .T.
   ::btnRemove:activate := {|| NIL }

   ::updateControls := AClone(::editControls)
   AEval({::btnChange, ::btnRemove }, {|x| AAdd(::updateControls, x) })

   ::disabledControls := {}

RETURN self


******************************************************************************
* Request system resources
******************************************************************************
METHOD _CivPens:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::XbpDialog:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::Static1:create()

   ::ID:create()

   ::Static411:create()

   ::family:create()

   ::Static51:create()

   ::name:create()

   ::Static6:create()

   ::name2:create()

   ::Static41:create()

   ::district:create()

   ::Static9:create()

   ::status:create()

   ::Static91:create()

   ::day:create()

   ::month:create()

   ::year:create()

   ::Static11:create()

   ::Static412:create()

//   ::Static413:create()

   ::serviceTimeTotal:create()
   ::serviceTimeTotal:disable()

   ::Static415:create()

   ::serviceTimeChrono:create()
   ::serviceTimeChrono:disable()

   ::countWork:create()
   ::countWork:disable()

   ::Static418:create()

   ::rank:create()

   ::Static419:create()

   ::retirement:create()
   ::retirement:disable()

   ::btnChange:create()

   ::btnExit:create()

   ::btnNext:create()

   ::btnPrev:create()

   ::btnAdd:create()

   ::btnRemove:create()

RETURN self

METHOD _CivPens:ScatterControls()
   LOCAL result := Scatter (::editControls)

   AEval(::updateControls, {|x| IIf(civ->USER < 1000 .OR. INTERFACE_ALLOWUPDATEAUTODATA, x:enable(), x:disable()) })

   AEval(::disabledControls, {|x| x:disable() })

RETURN result

#endif

//EOF
/////