#include "Common.ch"
#include "frdbrtn.ch"

STATIC g_nStatusMessageRow := 0

PROCEDURE OrdCreateEx(filename, keyword, tag, replace)
  LOCAL check, all, keywordBlock, cAll

   IF !Empty(replace) .OR. !File(filename)
     check := 1 ; all := LastRec(); cAll := "/" + AllTrim(Str(all))
     keywordBlock := &("{ || " + keyword + " }")
     OrdCreate(filename, tag, keyword,;
               {|| DispOutAt(g_nStatusMessageRow, 0, "Building index file - " + filename + ": " +;
                   Str(check++, 7) + cAll + IIf(check < all, "", " [Done]")),;
               eval(keywordBlock) })
   ELSE
     DispOutAt(g_nStatusMessageRow, 0, "Index file - " + filename + ": [Exists]")
   ENDIF
   g_nStatusMessageRow++
RETURN

PROCEDURE SetStatusMessageRow(row)
   g_nStatusMessageRow := row
RETURN

PROCEDURE ShowStatusMessage(message, incRow, col)
   DispOutAt(g_nStatusMessageRow, IIf(Empty(col), 0, col), message)
   IF !Empty(incRow)
     g_nStatusMessageRow++
   ENDIF
RETURN