#include "Common.ch"
#include "frdbrtn.ch"

FUNCTION ASelect(values, idx)

        LOCAL cResult := IIf(Empty(idx) .OR. idx < 1 .OR. idx > Len(values) .OR.;
                                                 NIL == values[idx], "-", values[idx])

RETURN cResult

FUNCTION AllTrimEx(cStr)
RETURN IIf(Empty(cStr), "", AllTrim(cStr))

FUNCTION NumberInWords( num )
   LOCAL tonna := { "","","","","","","","","","","","","","","","","","","" },;
         sotni := { "","","","","","","","","" },;
         desat := { "","","","","","","","","" },;
         edini := { "","","","","","","","","","","","","","","","","","","" },;
         str := "", s := "      ", t := 0, n := 0, tmp := 0

   s := transform(num,"999999999999")
   s := padr( s, 12 )

   IF( (t := val(left(s,3))) != 0 )
     IF( (tmp := val(left(str(t,3),1))) != 0 )
       str += sotni[tmp]+" "
     ENDIF
     IF( (tmp := val(right(str(t,3),2))) != 0 )
       IF( tmp < 20 )
         str += edini[tmp]+" "
       ELSE
         IF( (tmp := val(substr(str(t,3),2,1))) != 0 )
           str += desat[tmp]+" "
         ENDIF
         IF( (tmp := val(right(str(t,3),1))) != 0 )
          str += edini[tmp]+" "
         ENDIF
       ENDIF
     ENDIF
     str += ""
     DO CASE
     CASE val(right(str(t,3),1)) == 1 .AND. val(right(str(t,3),2)) != 11
       str += " "
     CASE val(right(str(t,3),1)) >= 2 .AND. val(right(str(t,3),1)) <= 4  .AND. val(substr(str(t,3),2,1)) != 1
       str += " "
     OTHERWISE
       str += " "
     ENDCASE
   ENDIF

   IF( (t := val(substr(s,4,3))) != 0 )
     IF( (tmp := val(left(str(t,3),1))) != 0 )
       str += sotni[tmp]+" "
     ENDIF
     IF( (tmp := val(right(str(t,3),2))) != 0 )
       IF( tmp < 20 )
         str += edini[tmp]+" "
       ELSE
         IF( (tmp := val(substr(str(t,3),2,1))) != 0 )
           str += desat[tmp]+" "
         ENDIF
         IF( (tmp := val(right(str(t,3),1))) != 0 )
           str += edini[tmp]+" "
         ENDIF
       ENDIF
     ENDIF
     str += ""
     DO CASE
     CASE val(right(str(t,3),1)) == 1 .AND. val(right(str(t,3),2)) != 11
       str += " "
     CASE val(right(str(t,3),1)) >= 2 .AND. val(right(str(t,3),1)) <= 4  .AND. val(substr(str(t,3),2,1)) != 1
       str += " "
     OTHERWISE
       str += " "
     ENDCASE
   ENDIF

   IF( (t := val(substr(s,7,3))) != 0 )
     IF( (tmp := val(left(str(t,3),1))) != 0 )
       str += sotni[tmp]+" "
     ENDIF
     IF( (tmp := val(right(str(t,3),2))) != 0 )
       IF( tmp < 20 )
         str += tonna[tmp]+" "
       ELSE
         IF( (tmp := val(substr(str(t,3),2,1))) != 0 )
           str += desat[tmp]+" "
         ENDIF
         IF( (tmp := val(right(str(t,3),1))) != 0 )
           str += tonna[tmp]+" "
         ENDIF
       ENDIF
     ENDIF
     str += ""
     DO CASE
     CASE val(right(str(t,3),1)) == 1 .AND. val(right(str(t,3),2)) != 11
       str += " "
     CASE val(right(str(t,3),1)) >= 2 .AND. val(right(str(t,3),1)) <= 4  .AND. val(SubStr(str(t,3),2,1)) != 1
       str += " "
     OTHERWISE
       str += " "
     ENDCASE
   ENDIF

   t := val(SubStr(s,10,1))

   IF !Empty( t )
     str += sotni[ t ] + " "
   ENDIF

   t := val(SubStr(s,11,2))

   IF !Empty(t)
     IF t >= 20
       str += desat[ int(t/10) ] + " "
       n := val(SubStr(s,12,1))
       IF !Empty( n )
         str += edini[ n ]
       ENDIF
     ELSE
       str += edini[ t ]
     ENDIF
   ENDIF

   str := Upper( Left( str, 1 ) ) + SubStr( str, 2 )

RETURN AllTrim(str)