#include "Gra.ch"
#include "Xbp.ch"
#include "Common.ch"
#include "Appevent.ch"
#include "Font.ch"
#include "XBPDEV.CH"
#include "frdbrtn.ch"

FUNCTION CheckPrinterStatus(oWnd, oPrinter)
   LOCAL nStatus := oPrinter:printerStatus()

   DO WHILE nStatus <> XBPPRN_STATUS_READY
     DO CASE
     CASE nStatus == XBPPRN_STATUS_NOPAPER
       IF ConfirmBox(oWnd, "   ." + Chr(10) +;
                     "     OK." + Chr(10) +;
                     "      (Cancel).",;
                     "!",, XBPMB_WARNING) == XBPMB_RET_CANCEL
         RETURN .F.
       ENDIF
     CASE nStatus == XBPPRN_STATUS_OFFLINE
       IF ConfirmBox(oWnd, "    OFFLINE." + Chr(10) +;
                     "  ONLINE  ,   OK   ." + Chr(10) +;
                     "      (Cancel).",;
                     "!",, XBPMB_WARNING) == XBPMB_RET_CANCEL
         RETURN .F.
       ENDIF
     CASE nStatus $ { XBPPRN_STATUS_PAUSED, XBPPRN_STATUS_BUSY }
       ConfirmBox(oWnd, "     ." + Chr(10) +;
                  "       .",;
                  "!", XBPMB_OK, XBPMB_WARNING)
       RETURN .F.
     OTHERWISE
       ConfirmBox(oWnd, "  !" + Chr(10) + "    .",;
                  "!", XBPMB_OK, XBPMB_WARNING)
       RETURN .F.
     ENDCASE
     nStatus := oPrinter:printerStatus()
   ENDDO

RETURN .T.

FUNCTION TurnOverPage(oWnd, oPrinter)
   IF ConfirmBox(oWnd, "  ,   " + Chr(10) +;
                 "     OK." + Chr(10) +;
                 "      (Cancel).",;
                 "",, XBPMB_INFORMATION) == XBPMB_RET_CANCEL
     RETURN .F.
   ENDIF

RETURN CheckPrinterStatus(oWnd, oPrinter)